Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sessions
Class SessionEvent

`java.lang.Object
java.util.EventObject
oracle.toplink.sessions.SessionEvent`

All Implemented Interfaces:
  java.io.Serializable

public class SessionEvent
extends java.util.EventObject

Purpose: Encapsulate the information provided with session events. This is used as the argument to any event raised by the session. To register for events notification an event listener must be registered with the session.

See Also:
  `SessionEventManager.addListener(SessionEventListener)`, `Session.getEventManager()`, `SessionEventListener`, Serialized Form

Field Summary
`static int` | `MissingDescriptor`
`static int` | `MoreRowsDetected`
`static int` | `NoRowsModified`
`static int` | `OutputParametersDetected`
`static int` | `PostAcquireClientSession`
`static int` | `PostAcquireConnection`
`static int` | `PostAcquireExclusiveConnection`
`static int` | `PostAcquireUnitOfWork`
`static int` | `PostBeginTransaction`
`static int` | `PostCalculateUnitOfWorkChangeSet`
`static int` | `PostCommitTransaction`
`static int` | `PostCommitUnitOfWork`
`static int` | `PostConnect`
`static int` | `PostDistributedMergeUnitOfWorkChangeSet`
`static int` | `PostExecuteQuery`
`static int` | `PostLogin`
`static int` | `PostMergeUnitOfWorkChangeSet`
`static int` | `PostReleaseClientSession`
`static int` | `PostReleaseUnitOfWork`
`static int` | `PostResumeUnitOfWork`
`static int` | `PostRollbackTransaction`
`static int` | `PreBeginTransaction`
`static int` | `PreCalculateUnitOfWorkChangeSet`
`static int` | `PreCommitTransaction`
`static int` | `PreCommitUnitOfWork`
`static int` | `PreDistributedMergeUnitOfWorkChangeSet`
`static int` | `PreExecuteQuery`
`static int` | `PreLogin`
`static int` | `PreMergeUnitOfWorkChangeSet`
`static int` | `PrepareUnitOfWork`
`static int` | `PreReleaseClientSession`
`static int` | `PreReleaseConnection`
`static int` | `PreReleaseExclusiveConnection`
`static int` | `PreReleaseUnitOfWork`
`static int` | `PreRollbackTransaction`

Method Summary
`int` | `getEventCode()` PUBLIC: The code of the session event being raised.
`java.util.Hashtable` | `getProperties()` PUBLIC: Additional properties may be added to the event.
`java.lang.Object` | `getProperty(java.lang.String name)` PUBLIC: Additional properties may be added to the event.
`DatabaseQuery` | `getQuery()` PUBLIC: Some events may have a query associated with them (pre/postExecuteQuery).
`java.lang.Object` | `getResult()` PUBLIC: Some events may have a result associated with them (pre/postExecuteQuery).
`Session` | `getSession()` PUBLIC: The session in which the event is raised.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PreExecuteQuery

    public static final int PreExecuteQuery

  See Also:
    Constant Field Values

### PostExecuteQuery

    public static final int PostExecuteQuery

  See Also:
    Constant Field Values

### PreBeginTransaction

    public static final int PreBeginTransaction

  See Also:
    Constant Field Values

### PostBeginTransaction

    public static final int PostBeginTransaction

  See Also:
    Constant Field Values

### PreCommitTransaction

    public static final int PreCommitTransaction

  See Also:
    Constant Field Values

### PostCommitTransaction

    public static final int PostCommitTransaction

  See Also:
    Constant Field Values

### PreRollbackTransaction

    public static final int PreRollbackTransaction

  See Also:
    Constant Field Values

### PostRollbackTransaction

    public static final int PostRollbackTransaction

  See Also:
    Constant Field Values

### PostAcquireUnitOfWork

    public static final int PostAcquireUnitOfWork

  See Also:
    Constant Field Values

### PreCommitUnitOfWork

    public static final int PreCommitUnitOfWork

  See Also:
    Constant Field Values

### PostCommitUnitOfWork

    public static final int PostCommitUnitOfWork

  See Also:
    Constant Field Values

### PreReleaseUnitOfWork

    public static final int PreReleaseUnitOfWork

  See Also:
    Constant Field Values

### PostReleaseUnitOfWork

    public static final int PostReleaseUnitOfWork

  See Also:
    Constant Field Values

### PrepareUnitOfWork

    public static final int PrepareUnitOfWork

  See Also:
    Constant Field Values

### PostResumeUnitOfWork

    public static final int PostResumeUnitOfWork

  See Also:
    Constant Field Values

### PostAcquireClientSession

    public static final int PostAcquireClientSession

  See Also:
    Constant Field Values

### PreReleaseClientSession

    public static final int PreReleaseClientSession

  See Also:
    Constant Field Values

### PostReleaseClientSession

    public static final int PostReleaseClientSession

  See Also:
    Constant Field Values

### PostAcquireConnection

    public static final int PostAcquireConnection

  See Also:
    Constant Field Values

### PostAcquireExclusiveConnection

    public static final int PostAcquireExclusiveConnection

  See Also:
    Constant Field Values

### PreReleaseConnection

    public static final int PreReleaseConnection

  See Also:
    Constant Field Values

### PreReleaseExclusiveConnection

    public static final int PreReleaseExclusiveConnection

  See Also:
    Constant Field Values

### OutputParametersDetected

    public static final int OutputParametersDetected

  See Also:
    Constant Field Values

### MoreRowsDetected

    public static final int MoreRowsDetected

  See Also:
    Constant Field Values

### PostConnect

    public static final int PostConnect

  See Also:
    Constant Field Values

### PreLogin

    public static final int PreLogin

  See Also:
    Constant Field Values

### PostLogin

    public static final int PostLogin

  See Also:
    Constant Field Values

### PreMergeUnitOfWorkChangeSet

    public static final int PreMergeUnitOfWorkChangeSet

  See Also:
    Constant Field Values

### PreDistributedMergeUnitOfWorkChangeSet

    public static final int PreDistributedMergeUnitOfWorkChangeSet

  See Also:
    Constant Field Values

### PostMergeUnitOfWorkChangeSet

    public static final int PostMergeUnitOfWorkChangeSet

  See Also:
    Constant Field Values

### PostDistributedMergeUnitOfWorkChangeSet

    public static final int PostDistributedMergeUnitOfWorkChangeSet

  See Also:
    Constant Field Values

### PreCalculateUnitOfWorkChangeSet

    public static final int PreCalculateUnitOfWorkChangeSet

  See Also:
    Constant Field Values

### PostCalculateUnitOfWorkChangeSet

    public static final int PostCalculateUnitOfWorkChangeSet

  See Also:
    Constant Field Values

### MissingDescriptor

    public static final int MissingDescriptor

  See Also:
    Constant Field Values

### NoRowsModified

    public static final int NoRowsModified

  See Also:
    Constant Field Values

Method Detail

### getEventCode

    public int getEventCode()

  PUBLIC: The code of the session event being raised. This is an integer constant value from this class.

### getProperties

    public java.util.Hashtable getProperties()

  PUBLIC: Additional properties may be added to the event.

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  PUBLIC: Additional properties may be added to the event.

### getQuery

    public DatabaseQuery getQuery()

  PUBLIC: Some events may have a query associated with them (pre/postExecuteQuery).

### getResult

    public java.lang.Object getResult()

  PUBLIC: Some events may have a result associated with them (pre/postExecuteQuery).

### getSession

    public Session getSession()

  PUBLIC: The session in which the event is raised.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD